(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 13.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     63382,       1400]
NotebookOptionsPosition[     62882,       1380]
NotebookOutlinePosition[     63368,       1400]
CellTagsIndexPosition[     63325,       1397]
WindowTitle->Table Utility
WindowFrame->Palette*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 DynamicModuleBox[{$CellContext`m$$ = 2, $CellContext`n$$ = 
  3, $CellContext`selection$$, $CellContext`matrix$$, $CellContext`cell$$, \
$CellContext`spanFrom$$ = 
  "None", $CellContext`cellFrame$$ = {}, $CellContext`cellBackground$$ = \
$CellContext`cellBackgroundSelection$$, $CellContext`tableBackground$$ = \
$CellContext`tableBackgroundSelection$$, $CellContext`horAlignCell$$ = 
  Automatic, $CellContext`verAlignCell$$ = 
  Automatic, $CellContext`horAlignTable$$ = 
  Automatic, $CellContext`verAlignTable$$ = 
  Automatic, $CellContext`xCellSize$$ = Automatic, $CellContext`yCellSize$$ = 
  Automatic, $CellContext`xCellSizeTable$$ = 
  Automatic, $CellContext`yCellSizeTable$$ = 
  Automatic, $CellContext`frame$$ = {}, $CellContext`cellFrameInheritedQ$$ = 
  True, $CellContext`otherCellBackground$$ = RGBColor[
  0.8, 0.8, 0.9], $CellContext`otherTableBackground$$ = RGBColor[
  0.8, 0.8, 0.9], $CellContext`tableBackgroundSelection$$ = 
  None, $CellContext`cellBackgroundSelection$$ = 
  "Inherited", $CellContext`otherFrameQ$$ = 
  False, $CellContext`vLines$$ = {}, $CellContext`hLines$$ = {}, \
$CellContext`dims$$ = {0, 
  0}, $CellContext`checkboxMatrix$$, $CellContext`tableSetFrameQ$$ = 
  False, $CellContext`tableSetFrameAllQ$$ = False, $CellContext`rTable$$ = 
  255, $CellContext`gTable$$ = 255, $CellContext`bTable$$ = 
  255, $CellContext`rCell$$ = 255, $CellContext`gCell$$ = 
  255, $CellContext`bCell$$ = 255, $CellContext`mergeError$$ = 
  "", $CellContext`ijRange$$}, 
  TagBox[GridBox[{
     {
      TagBox[GridBox[{
         {
          TagBox[GridBox[{
             {
              TemplateBox[{
                TagBox[
                 TooltipBox[
                  DynamicBox[
                   ToBoxes[
                    Button[
                    (Style[#, 12]& )["Make Table"], 
                    Paste[
                    Grid[
                    
                    Table[$CellContext`\[Placeholder], {$CellContext`i, 
                    1, $CellContext`m$$}, {$CellContext`j, 
                    1, $CellContext`n$$}], 
                    Apply[Sequence, 
                    Dynamic[
                    
                    Join[{Background -> $CellContext`tableBackground$$}, {
                    ItemSize -> {$CellContext`xCellSizeTable$$, \
$CellContext`yCellSizeTable$$}}, {
                    Alignment -> {$CellContext`horAlignTable$$, \
$CellContext`verAlignTable$$}}, {
                    Which[$CellContext`otherFrameQ$$, Dividers -> {
                    Table[
                    
                    MemberQ[$CellContext`hLines$$, $CellContext`j], \
{$CellContext`j, 
                    Range[1, $CellContext`n$$ + 1]}], 
                    Table[
                    
                    MemberQ[$CellContext`vLines$$, $CellContext`i], \
{$CellContext`i, 
                    Range[
                    1, $CellContext`m$$ + 
                    1]}]}, $CellContext`tableSetFrameAllQ$$, Frame -> 
                    All, $CellContext`tableSetFrameQ$$, Frame -> True, True, 
                    
                    With[{$CellContext`ver$ = 
                    Map[MemberQ[$CellContext`frame$$, #]& , {
                    "Outside Left", "Inside Vertical", 
                    "Outside Right"}], $CellContext`hor$ = 
                    Map[MemberQ[$CellContext`frame$$, #]& , {
                    "Outside Top", "Inside Horizontal", "Outside Bottom"}]}, 
                    Switch[
                    Join[$CellContext`ver$, $CellContext`hor$], {
                    True, True, True, True, True, True}, Frame -> All, {
                    True, False, True, True, False, True}, Frame -> True, {
                    False, False, False, False, False, False}, Frame -> None, 
                    
                    Blank[], 
                    
                    With[{$CellContext`dividerFn$ = 
                    Function[{$CellContext`horver, $CellContext`nm}, 
                    
                    Switch[$CellContext`horver, {False, True, False}, 
                    Center, {False, False, False}, False, {
                    True, False, False}, {1 -> True}, {
                    False, False, True}, {-1 -> True}, {True, False, True}, {
                    1 -> True, -1 -> True}, {True, True, False}, 
                    Join[
                    ConstantArray[True, $CellContext`nm], {False}], {
                    False, True, True}, 
                    Join[{False}, 
                    ConstantArray[True, $CellContext`nm]], {True, True, True},
                     All, 
                    Blank[], None]]}, Dividers -> {
                    $CellContext`dividerFn$[$CellContext`ver$, \
$CellContext`n$$], 
                    $CellContext`dividerFn$[$CellContext`hor$, \
$CellContext`m$$]}]]]]}]]]]], ImageSize -> 150, Appearance -> "Palette", 
                    Background -> RGBColor[0.7, 0.775, 0.85]], StandardForm]],
                   "\"Select table dimensions to the right and options below \
before clicking.\"", TooltipStyle -> "TextStyling"], 
                 Annotation[#, 
                  "Select table dimensions to the right and options below \
before clicking.", "Tooltip"]& ], 
                TemplateBox[{
                  TemplateBox[{
                    PopupMenuBox[
                    Dynamic[$CellContext`m$$], {
                    1 -> "1", 2 -> "2", 3 -> "3", 4 -> "4", 5 -> "5", 6 -> 
                    "6", 7 -> "7", 8 -> "8", 9 -> "9", 10 -> "10", 11 -> "11",
                     12 -> "12", 13 -> "13", 14 -> "14", 15 -> "15", 16 -> 
                    "16", 17 -> "17", 18 -> "18", 19 -> "19", 20 -> "20"}, 
                    MenuStyle -> 11], 
                    StyleBox["\"\[Times]\"", 14, StripOnInput -> False], 
                    PopupMenuBox[
                    Dynamic[$CellContext`n$$], {
                    1 -> "1", 2 -> "2", 3 -> "3", 4 -> "4", 5 -> "5", 6 -> 
                    "6", 7 -> "7", 8 -> "8", 9 -> "9", 10 -> "10", 11 -> "11",
                     12 -> "12", 13 -> "13", 14 -> "14", 15 -> "15", 16 -> 
                    "16", 17 -> "17", 18 -> "18", 19 -> "19", 20 -> "20"}, 
                    MenuStyle -> 11]}, "RowDefault"], 
                  TemplateBox[{10}, "Spacer1"], 
                  TagBox[
                   TooltipBox[
                    ButtonBox[
                    StyleBox["\"Reset\"", 12, StripOnInput -> False], 
                    ButtonFunction :> 
                    Dynamic[$CellContext`cellBackgroundSelection$$ = 
                    "Inhereted"; $CellContext`m$$ = 2; $CellContext`n$$ = 
                    3; $CellContext`cellBackground$$ = 
                    "Inherited"; $CellContext`spanFrom$$ = 
                    "None"; $CellContext`tableBackground$$ = \
($CellContext`tableBackgroundSelection$$ = 
                    None); $CellContext`horAlignCell$$ = \
($CellContext`verAlignCell$$ = ($CellContext`horAlignTable$$ = \
($CellContext`verAlignTable$$ = ($CellContext`xCellSize$$ = \
($CellContext`yCellSize$$ = ($CellContext`xCellSizeTable$$ = \
($CellContext`yCellSizeTable$$ = 
                    Automatic))))))); $CellContext`cellFrameInheritedQ$$ = 
                    True; $CellContext`otherCellBackground$$ = 
                    RGBColor[
                    0.8, 0.8, 0.9]; $CellContext`otherTableBackground$$ = 
                    RGBColor[0.8, 0.8, 0.9]; $CellContext`otherFrameQ$$ = 
                    False; $CellContext`frame$$ = ($CellContext`cellFrame$$ = \
($CellContext`vLines$$ = ($CellContext`hLines$$ = {}))); $CellContext`dims$$ = \
{0, 0}; $CellContext`tableSetFrameQ$$ = ($CellContext`tableSetFrameAllQ$$ = 
                    False); $CellContext`rTable$$ = ($CellContext`gTable$$ = \
($CellContext`bTable$$ = ($CellContext`rCell$$ = ($CellContext`gCell$$ = \
($CellContext`bCell$$ = 255))))); $CellContext`mergeError$$ = ""], ImageSize -> 
                    50, Appearance -> "Palette", Background -> 
                    RGBColor[0.7, 0.775, 0.85], Evaluator -> Automatic, 
                    Method -> "Preemptive"], "\"Fully reset the palette\"", 
                    TooltipStyle -> "TextStyling"], 
                   Annotation[#, "Fully reset the palette", "Tooltip"]& ]}, 
                 "Row", DisplayFunction -> (PaneBox[
                   RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                   Right, ImageSize -> 170]& ), 
                 InterpretationFunction -> (RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Right"}], ",", 
                    RowBox[{"ImageSize", "\[Rule]", "170"}]}], "]"}]& )]},
               "RowDefault"]},
             {
              DynamicBox[ToBoxes[
                Column[{
                  Row[{
                    (Graphics[
                    Text[
                    Style[#, Bold, 10, 
                    RGBColor[0.15, 0.15, 0.4]], {-5, 0}, {1, 0}], 
                    PlotRange -> {{-100, 0}, 8 {-1, 1}}, 
                    ImageSize -> {80, Automatic}]& )["Frame/Dividers:"], 
                    If[$CellContext`otherFrameQ$$, 
                    Column[{
                    Row[{
                    (Graphics[
                    Text[
                    Style[#, 10, 
                    RGBColor[0.15, 0.15, 0.4]], {-3, 0}, {1, 0}], 
                    PlotRange -> {{-50, 0}, 8 {-1, 1}}, 
                    ImageSize -> {50, Automatic}]& )["Horizontal"], 
                    Dynamic[
                    TogglerBar[
                    Dynamic[$CellContext`vLines$$], 
                    
                    Table[$CellContext`i + 
                    1 -> $CellContext`i, {$CellContext`i, 
                    Range[0, $CellContext`m$$]}], Appearance -> "Palette"]]}, 
                    Alignment -> Left], 
                    Row[{
                    (Graphics[
                    Text[
                    Style[#, 10, 
                    RGBColor[0.15, 0.15, 0.4]], {-3, 0}, {1, 0}], 
                    PlotRange -> {{-50, 0}, 8 {-1, 1}}, 
                    ImageSize -> {50, Automatic}]& )["Vertical"], 
                    Dynamic[
                    TogglerBar[
                    Dynamic[$CellContext`hLines$$], 
                    
                    Table[$CellContext`j + 
                    1 -> $CellContext`j, {$CellContext`j, 
                    Range[0, $CellContext`n$$]}], Appearance -> "Palette"]]}, 
                    Alignment -> Left]}], 
                    Row[{
                    Column[{
                    Checkbox[
                    Dynamic[$CellContext`tableSetFrameAllQ$$]], "All"}, 
                    Alignment -> Center], 
                    Spacer[2], 
                    Column[{
                    Checkbox[
                    Dynamic[$CellContext`tableSetFrameQ$$]], "Frame"}, 
                    Alignment -> Center], 
                    Spacer[2], 
                    TogglerBar[
                    Dynamic[$CellContext`frame$$], {
                    "Outside Left" -> Graphics[{
                    AbsoluteThickness[1], {
                    Line[{{0, 0}, {0, 3}}]}, 
                    AbsolutePointSize[1.5], {{
                    Point[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Point[{
                    Rational[1, 2], 
                    Rational[3, 2]}], 
                    Point[{
                    Rational[1, 2], 
                    Rational[5, 2]}], 
                    Point[{
                    Rational[1, 2], 
                    Rational[7, 2]}]}, {
                    Point[{
                    Rational[3, 2], 
                    Rational[1, 2]}], 
                    Point[{
                    Rational[3, 2], 
                    Rational[3, 2]}], 
                    Point[{
                    Rational[3, 2], 
                    Rational[5, 2]}], 
                    Point[{
                    Rational[3, 2], 
                    Rational[7, 2]}]}, {
                    Point[{
                    Rational[5, 2], 
                    Rational[1, 2]}], 
                    Point[{
                    Rational[5, 2], 
                    Rational[3, 2]}], 
                    Point[{
                    Rational[5, 2], 
                    Rational[5, 2]}], 
                    Point[{
                    Rational[5, 2], 
                    Rational[7, 2]}]}, {
                    Point[{
                    Rational[7, 2], 
                    Rational[1, 2]}], 
                    Point[{
                    Rational[7, 2], 
                    Rational[3, 2]}], 
                    Point[{
                    Rational[7, 2], 
                    Rational[5, 2]}], 
                    Point[{
                    Rational[7, 2], 
                    Rational[7, 2]}]}}}, 
                    PlotRange -> {{-0.2, 3.2}, {-0.2, 3.2}}, ImageSize -> 18, 
                    Background -> GrayLevel[1]], "Inside Vertical" -> 
                    Graphics[{
                    AbsoluteThickness[1], {{
                    Line[{{1, 0}, {1, 3}}], 
                    Line[{{2, 0}, {2, 3}}]}}, 
                    AbsolutePointSize[1.5], {{
                    Point[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Point[{
                    Rational[1, 2], 
                    Rational[3, 2]}], 
                    Point[{
                    Rational[1, 2], 
                    Rational[5, 2]}], 
                    Point[{
                    Rational[1, 2], 
                    Rational[7, 2]}]}, {
                    Point[{
                    Rational[3, 2], 
                    Rational[1, 2]}], 
                    Point[{
                    Rational[3, 2], 
                    Rational[3, 2]}], 
                    Point[{
                    Rational[3, 2], 
                    Rational[5, 2]}], 
                    Point[{
                    Rational[3, 2], 
                    Rational[7, 2]}]}, {
                    Point[{
                    Rational[5, 2], 
                    Rational[1, 2]}], 
                    Point[{
                    Rational[5, 2], 
                    Rational[3, 2]}], 
                    Point[{
                    Rational[5, 2], 
                    Rational[5, 2]}], 
                    Point[{
                    Rational[5, 2], 
                    Rational[7, 2]}]}, {
                    Point[{
                    Rational[7, 2], 
                    Rational[1, 2]}], 
                    Point[{
                    Rational[7, 2], 
                    Rational[3, 2]}], 
                    Point[{
                    Rational[7, 2], 
                    Rational[5, 2]}], 
                    Point[{
                    Rational[7, 2], 
                    Rational[7, 2]}]}}}, 
                    PlotRange -> {{-0.2, 3.2}, {-0.2, 3.2}}, ImageSize -> 18, 
                    Background -> GrayLevel[1]], "Outside Right" -> 
                    Graphics[{
                    AbsoluteThickness[1], {
                    Line[{{3, 0}, {3, 3}}]}, 
                    AbsolutePointSize[1.5], {{
                    Point[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Point[{
                    Rational[1, 2], 
                    Rational[3, 2]}], 
                    Point[{
                    Rational[1, 2], 
                    Rational[5, 2]}], 
                    Point[{
                    Rational[1, 2], 
                    Rational[7, 2]}]}, {
                    Point[{
                    Rational[3, 2], 
                    Rational[1, 2]}], 
                    Point[{
                    Rational[3, 2], 
                    Rational[3, 2]}], 
                    Point[{
                    Rational[3, 2], 
                    Rational[5, 2]}], 
                    Point[{
                    Rational[3, 2], 
                    Rational[7, 2]}]}, {
                    Point[{
                    Rational[5, 2], 
                    Rational[1, 2]}], 
                    Point[{
                    Rational[5, 2], 
                    Rational[3, 2]}], 
                    Point[{
                    Rational[5, 2], 
                    Rational[5, 2]}], 
                    Point[{
                    Rational[5, 2], 
                    Rational[7, 2]}]}, {
                    Point[{
                    Rational[7, 2], 
                    Rational[1, 2]}], 
                    Point[{
                    Rational[7, 2], 
                    Rational[3, 2]}], 
                    Point[{
                    Rational[7, 2], 
                    Rational[5, 2]}], 
                    Point[{
                    Rational[7, 2], 
                    Rational[7, 2]}]}}}, 
                    PlotRange -> {{-0.2, 3.2}, {-0.2, 3.2}}, ImageSize -> 18, 
                    Background -> GrayLevel[1]], "Outside Top" -> Graphics[{
                    AbsoluteThickness[1], {
                    Line[{{0, 3}, {3, 3}}]}, 
                    AbsolutePointSize[1.5], {{
                    Point[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Point[{
                    Rational[1, 2], 
                    Rational[3, 2]}], 
                    Point[{
                    Rational[1, 2], 
                    Rational[5, 2]}], 
                    Point[{
                    Rational[1, 2], 
                    Rational[7, 2]}]}, {
                    Point[{
                    Rational[3, 2], 
                    Rational[1, 2]}], 
                    Point[{
                    Rational[3, 2], 
                    Rational[3, 2]}], 
                    Point[{
                    Rational[3, 2], 
                    Rational[5, 2]}], 
                    Point[{
                    Rational[3, 2], 
                    Rational[7, 2]}]}, {
                    Point[{
                    Rational[5, 2], 
                    Rational[1, 2]}], 
                    Point[{
                    Rational[5, 2], 
                    Rational[3, 2]}], 
                    Point[{
                    Rational[5, 2], 
                    Rational[5, 2]}], 
                    Point[{
                    Rational[5, 2], 
                    Rational[7, 2]}]}, {
                    Point[{
                    Rational[7, 2], 
                    Rational[1, 2]}], 
                    Point[{
                    Rational[7, 2], 
                    Rational[3, 2]}], 
                    Point[{
                    Rational[7, 2], 
                    Rational[5, 2]}], 
                    Point[{
                    Rational[7, 2], 
                    Rational[7, 2]}]}}}, 
                    PlotRange -> {{-0.2, 3.2}, {-0.2, 3.2}}, ImageSize -> 18, 
                    Background -> GrayLevel[1]], "Inside Horizontal" -> 
                    Graphics[{
                    AbsoluteThickness[1], {{
                    Line[{{0, 1}, {3, 1}}], 
                    Line[{{0, 2}, {3, 2}}]}}, 
                    AbsolutePointSize[1.5], {{
                    Point[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Point[{
                    Rational[1, 2], 
                    Rational[3, 2]}], 
                    Point[{
                    Rational[1, 2], 
                    Rational[5, 2]}], 
                    Point[{
                    Rational[1, 2], 
                    Rational[7, 2]}]}, {
                    Point[{
                    Rational[3, 2], 
                    Rational[1, 2]}], 
                    Point[{
                    Rational[3, 2], 
                    Rational[3, 2]}], 
                    Point[{
                    Rational[3, 2], 
                    Rational[5, 2]}], 
                    Point[{
                    Rational[3, 2], 
                    Rational[7, 2]}]}, {
                    Point[{
                    Rational[5, 2], 
                    Rational[1, 2]}], 
                    Point[{
                    Rational[5, 2], 
                    Rational[3, 2]}], 
                    Point[{
                    Rational[5, 2], 
                    Rational[5, 2]}], 
                    Point[{
                    Rational[5, 2], 
                    Rational[7, 2]}]}, {
                    Point[{
                    Rational[7, 2], 
                    Rational[1, 2]}], 
                    Point[{
                    Rational[7, 2], 
                    Rational[3, 2]}], 
                    Point[{
                    Rational[7, 2], 
                    Rational[5, 2]}], 
                    Point[{
                    Rational[7, 2], 
                    Rational[7, 2]}]}}}, 
                    PlotRange -> {{-0.2, 3.2}, {-0.2, 3.2}}, ImageSize -> 18, 
                    Background -> GrayLevel[1]], "Outside Bottom" -> Graphics[{
                    AbsoluteThickness[1], {
                    Line[{{0, 0}, {3, 0}}]}, 
                    AbsolutePointSize[1.5], {{
                    Point[{
                    Rational[1, 2], 
                    Rational[1, 2]}], 
                    Point[{
                    Rational[1, 2], 
                    Rational[3, 2]}], 
                    Point[{
                    Rational[1, 2], 
                    Rational[5, 2]}], 
                    Point[{
                    Rational[1, 2], 
                    Rational[7, 2]}]}, {
                    Point[{
                    Rational[3, 2], 
                    Rational[1, 2]}], 
                    Point[{
                    Rational[3, 2], 
                    Rational[3, 2]}], 
                    Point[{
                    Rational[3, 2], 
                    Rational[5, 2]}], 
                    Point[{
                    Rational[3, 2], 
                    Rational[7, 2]}]}, {
                    Point[{
                    Rational[5, 2], 
                    Rational[1, 2]}], 
                    Point[{
                    Rational[5, 2], 
                    Rational[3, 2]}], 
                    Point[{
                    Rational[5, 2], 
                    Rational[5, 2]}], 
                    Point[{
                    Rational[5, 2], 
                    Rational[7, 2]}]}, {
                    Point[{
                    Rational[7, 2], 
                    Rational[1, 2]}], 
                    Point[{
                    Rational[7, 2], 
                    Rational[3, 2]}], 
                    Point[{
                    Rational[7, 2], 
                    Rational[5, 2]}], 
                    Point[{
                    Rational[7, 2], 
                    Rational[7, 2]}]}}}, 
                    PlotRange -> {{-0.2, 3.2}, {-0.2, 3.2}}, ImageSize -> 18, 
                    Background -> GrayLevel[1]]}, Appearance -> "Palette"]}]], 
                    Spacer[2], 
                    Row[{
                    Column[{
                    Checkbox[
                    Dynamic[$CellContext`otherFrameQ$$]], "Other"}, Alignment -> 
                    Center]}]}, Alignment -> Left, ImageSize -> 320]}], 
                StandardForm],
               ImageSizeCache->{400., {15., 23.}}]},
             {
              DynamicBox[ToBoxes[
                Column[
                 Join[{
                   Row[{
                    (Graphics[
                    Text[
                    Style[#, Bold, 10, 
                    RGBColor[0.15, 0.15, 0.4]], {-5, 0}, {1, 0}], 
                    PlotRange -> {{-100, 0}, 8 {-1, 1}}, 
                    ImageSize -> {80, Automatic}]& )["Background:"], 
                    SetterBar[
                    Dynamic[$CellContext`tableBackgroundSelection$$], {
                    None, White -> "White", RGBColor[0.8, 0.8, 0.9] -> 
                    "Light Blue", "Other"}, Appearance -> "Palette"]}, 
                    Alignment -> Left, ImageSize -> 320]}, 
                  
                  If[$CellContext`tableBackgroundSelection$$ =!= 
                   "Other", $CellContext`tableBackground$$ = \
$CellContext`tableBackgroundSelection$$; {}, {$CellContext`tableBackground$$ = 
                    RGBColor[$CellContext`rTable$$/255, $CellContext`gTable$$/
                    255, $CellContext`bTable$$/255]; Row[{
                    Spacer[2], 
                    Graphics[{
                    Dynamic[
                    
                    RGBColor[$CellContext`rTable$$/255, $CellContext`gTable$$/
                    255, $CellContext`bTable$$/255]], 
                    EdgeForm[{Black, 
                    AbsoluteThickness[1]}], 
                    Rectangle[{0, 0}, {1, 1}]}, ImageSize -> 60], 
                    Spacer[2], 
                    Column[{
                    Row[{
                    Slider[
                    Dynamic[$CellContext`rTable$$], {0, 255, 1}], 
                    Spacer[2], 
                    Dynamic[$CellContext`rTable$$], 
                    Spacer[2], "Red"}], 
                    Row[{
                    Slider[
                    Dynamic[$CellContext`gTable$$], {0, 255, 1}], 
                    Spacer[2], 
                    Dynamic[$CellContext`gTable$$], 
                    Spacer[2], "Green"}], 
                    Row[{
                    Slider[
                    Dynamic[$CellContext`bTable$$], {0, 255, 1}], 
                    Spacer[2], 
                    Dynamic[$CellContext`bTable$$], 
                    Spacer[2], "Blue"}]}]}]}]]], StandardForm],
               ImageSizeCache->{400., {10., 18.}}]},
             {
              TemplateBox[{
                GraphicsBox[
                 InsetBox[
                  FormBox[
                   StyleBox["\"Cell Size:\"", Bold, 10, 
                    RGBColor[0.15, 0.15, 0.4], StripOnInput -> False], 
                   TraditionalForm], {-5, 0}, 
                  NCache[
                   ImageScaled[{1, 
                    Rational[1, 2]}], 
                   ImageScaled[{1, 0.5}]]], PlotRange -> {{-100, 0}, {-8, 8}},
                  ImageSize -> {80, Automatic}], 
                TemplateBox[{
                  StyleBox["\"{\"", 16, StripOnInput -> False], 
                  PopupMenuBox[
                   Dynamic[$CellContext`xCellSizeTable$$], {
                   Automatic -> "Automatic", 1 -> "1", 2 -> "2", 3 -> "3", 4 -> 
                    "4", 5 -> "5", 6 -> "6", 7 -> "7", 8 -> "8", 9 -> "9", 10 -> 
                    "10", 11 -> "11", 12 -> "12", 13 -> "13", 14 -> "14", 15 -> 
                    "15", 16 -> "16", 17 -> "17", 18 -> "18", 19 -> "19", 20 -> 
                    "20", 21 -> "21", 22 -> "22", 23 -> "23", 24 -> "24", 25 -> 
                    "25", 26 -> "26", 27 -> "27", 28 -> "28", 29 -> "29", 30 -> 
                    "30", 31 -> "31", 32 -> "32", 33 -> "33", 34 -> "34", 35 -> 
                    "35", 36 -> "36", 37 -> "37", 38 -> "38", 39 -> "39", 40 -> 
                    "40", 41 -> "41", 42 -> "42", 43 -> "43", 44 -> "44", 45 -> 
                    "45", 46 -> "46", 47 -> "47", 48 -> "48", 49 -> "49", 50 -> 
                    "50"}, MenuStyle -> 11], 
                  StyleBox["\",\"", 16, StripOnInput -> False], 
                  PopupMenuBox[
                   Dynamic[$CellContext`yCellSizeTable$$], {
                   Automatic -> "Automatic", 1 -> "1", 2 -> "2", 3 -> "3", 4 -> 
                    "4", 5 -> "5", 6 -> "6", 7 -> "7", 8 -> "8", 9 -> "9", 10 -> 
                    "10", 11 -> "11", 12 -> "12", 13 -> "13", 14 -> "14", 15 -> 
                    "15", 16 -> "16", 17 -> "17", 18 -> "18", 19 -> "19", 20 -> 
                    "20", 21 -> "21", 22 -> "22", 23 -> "23", 24 -> "24", 25 -> 
                    "25", 26 -> "26", 27 -> "27", 28 -> "28", 29 -> "29", 30 -> 
                    "30", 31 -> "31", 32 -> "32", 33 -> "33", 34 -> "34", 35 -> 
                    "35", 36 -> "36", 37 -> "37", 38 -> "38", 39 -> "39", 40 -> 
                    "40", 41 -> "41", 42 -> "42", 43 -> "43", 44 -> "44", 45 -> 
                    "45", 46 -> "46", 47 -> "47", 48 -> "48", 49 -> "49", 50 -> 
                    "50"}, MenuStyle -> 11], 
                  StyleBox["\"}\"", 16, StripOnInput -> False]}, "Row", 
                 DisplayFunction -> (PaneBox[
                   RowBox[{
                    TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                   Left, ImageSize -> 230]& ), 
                 InterpretationFunction -> (RowBox[{"Row", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Left"}], ",", 
                    RowBox[{"ImageSize", "\[Rule]", "230"}]}], "]"}]& )]},
               "Row",
               DisplayFunction->(PaneBox[
                 RowBox[{
                   TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                 Left, ImageSize -> 320]& ),
               InterpretationFunction->(RowBox[{"Row", "[", 
                  RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Left"}], ",", 
                    RowBox[{"ImageSize", "\[Rule]", "320"}]}], "]"}]& )]}
            },
            DefaultBaseStyle->"Column",
            GridBoxAlignment->{"Columns" -> {{Center}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
           "Column"]},
         {
          TemplateBox[{
            TagBox[
             GridBox[{{
                GraphicsBox[
                 InsetBox[
                  FormBox[
                   StyleBox["\"Horizontal Alignment\"", Bold, 10, 
                    RGBColor[0.15, 0.15, 0.4], StripOnInput -> False], 
                   TraditionalForm], {0, 0}], 
                 PlotRange -> {{-75, 75}, {-8, 8}}, 
                 ImageSize -> {150, Automatic}]}, {
                InterpretationBox[
                 StyleBox[
                  GridBox[{{
                    SetterBox[
                    Dynamic[$CellContext`horAlignTable$$], {Automatic}, 
                    "\"None\"", Appearance -> "Palette"], 
                    SetterBox[
                    Dynamic[$CellContext`horAlignTable$$], {Left}, "Left", 
                    Appearance -> "Palette"], 
                    SetterBox[
                    Dynamic[$CellContext`horAlignTable$$], {Center}, "Center",
                     Appearance -> "Palette"], 
                    SetterBox[
                    Dynamic[$CellContext`horAlignTable$$], {Right}, "Right", 
                    Appearance -> "Palette"]}}, ColumnSpacings -> 0, 
                   BaselinePosition -> {1, 1}], Deployed -> True], 
                 SetterBar[
                  Dynamic[$CellContext`horAlignTable$$], {
                  Automatic -> "None", Left, Center, Right}, Appearance -> 
                  "Palette"]]}}, 
              GridBoxAlignment -> {"Columns" -> {{Center}}}, DefaultBaseStyle -> 
              "Column", 
              GridBoxItemSize -> {
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
             "Column"], 
            TemplateBox[{5}, "Spacer1"], 
            TagBox[
             GridBox[{{
                GraphicsBox[
                 InsetBox[
                  FormBox[
                   StyleBox["\"Vertical Alignment\"", Bold, 10, 
                    RGBColor[0.15, 0.15, 0.4], StripOnInput -> False], 
                   TraditionalForm], {0, 0}], 
                 PlotRange -> {{-75, 75}, {-8, 8}}, 
                 ImageSize -> {150, Automatic}]}, {
                InterpretationBox[
                 StyleBox[
                  GridBox[{{
                    SetterBox[
                    Dynamic[$CellContext`verAlignTable$$], {Automatic}, 
                    "\"None\"", Appearance -> "Palette"], 
                    SetterBox[
                    Dynamic[$CellContext`verAlignTable$$], {Bottom}, "Bottom",
                     Appearance -> "Palette"], 
                    SetterBox[
                    Dynamic[$CellContext`verAlignTable$$], {Center}, "Center",
                     Appearance -> "Palette"], 
                    SetterBox[
                    Dynamic[$CellContext`verAlignTable$$], {Top}, "Top", 
                    Appearance -> "Palette"]}}, ColumnSpacings -> 0, 
                   BaselinePosition -> {1, 1}], Deployed -> True], 
                 SetterBar[
                  Dynamic[$CellContext`verAlignTable$$], {
                  Automatic -> "None", Bottom, Center, Top}, Appearance -> 
                  "Palette"]]}}, 
              GridBoxAlignment -> {"Columns" -> {{Center}}}, DefaultBaseStyle -> 
              "Column", 
              GridBoxItemSize -> {
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
             "Column"]},
           "Row",
           DisplayFunction->(PaneBox[
             RowBox[{
               TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
             Center]& ),
           InterpretationFunction->(RowBox[{"Row", "[", 
              RowBox[{
                RowBox[{"{", 
                  TemplateSlotSequence[1, ","], "}"}], ",", 
                RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}]& )]}
        },
        DefaultBaseStyle->"Column",
        FrameStyle->{
          AbsoluteThickness[0.5], 
          GrayLevel[0.75]},
        GridBoxAlignment->{"Columns" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {False, {True}, False}, 
          "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Column"]},
     {
      TagBox[GridBox[{
         {
          TagBox[GridBox[{
             {
              TemplateBox[{
                TagBox[
                 GridBox[{{
                    TagBox[
                    TooltipBox[
                    DynamicBox[
                    ToBoxes[
                    Button[
                    (Style[#, 12]& )["Select Table"], 
                    While[$CellContext`selection$$ = NotebookRead[
                    InputNotebook[]]; 
                    Head[$CellContext`selection$$] =!= GridBox, 
                    SelectionMove[
                    InputNotebook[], All, Expression]]; $CellContext`matrix$$ = 
                    Part[$CellContext`selection$$, 1]; $CellContext`dims$$ = 
                    Dimensions[$CellContext`matrix$$]; \
$CellContext`checkboxMatrix$$ = ConstantArray[False, {
                    Part[$CellContext`dims$$, 1], 
                    Part[$CellContext`dims$$, 2]}], ImageSize -> 150, 
                    Appearance -> "Palette", Background -> 
                    RGBColor[0.7, 0.775, 0.85]], StandardForm]], 
                    "\"Click with cursor anywhere in a table. This will \
create a Checkbox matrix of the cells.\"", TooltipStyle -> "TextStyling"], 
                    Annotation[#, 
                    "Click with cursor anywhere in a table. This will create \
a Checkbox matrix of the cells.", "Tooltip"]& ]}, {
                    TagBox[
                    TooltipBox[
                    TemplateBox[{
                    DynamicBox[
                    ToBoxes[
                    Button[
                    (Style[#, 12]& )["Merge Cells"], 
                    While[$CellContext`selection$$ = NotebookRead[
                    InputNotebook[]]; 
                    Head[$CellContext`selection$$] =!= GridBox, 
                    SelectionMove[
                    InputNotebook[], All, 
                    Expression]]; $CellContext`ijRange$$ = 
                    Function[$CellContext`M, 
                    With[{$CellContext`m = First[
                    Dimensions[$CellContext`M]], $CellContext`n = Last[
                    Dimensions[$CellContext`M]], $CellContext`row = 
                    Function[$CellContext`i, 
                    Part[$CellContext`M, $CellContext`i]], $CellContext`col = 
                    Function[$CellContext`j, 
                    Map[Part[#, $CellContext`j]& , $CellContext`M]]}, 
                    With[{$CellContext`ijRange = {
                    ({
                    Min[#], 
                    Max[#]}& )[
                    Flatten[
                    Table[
                    Position[
                    Table[
                    Apply[Or, 
                    $CellContext`row[$CellContext`i]], {$CellContext`i, 
                    1, $CellContext`m}], True], {$CellContext`j, 
                    1, $CellContext`n}]]], 
                    ({
                    Min[#], 
                    Max[#]}& )[
                    Flatten[
                    Table[
                    Position[
                    Table[
                    Apply[Or, 
                    $CellContext`col[$CellContext`j]], {$CellContext`j, 
                    1, $CellContext`n}], True], {$CellContext`i, 
                    1, $CellContext`n}]]]}}, 
                    If[
                    Apply[And, 
                    Flatten[
                    Part[$CellContext`M, 
                    Span[
                    Part[$CellContext`ijRange, 1, 1], 
                    Part[$CellContext`ijRange, 1, 2]], 
                    Span[
                    Part[$CellContext`ijRange, 2, 1], 
                    
                    Part[$CellContext`ijRange, 2, 
                    2]]]]], $CellContext`ijRange, {{0, 0}, {0, 
                    0}}]]]][$CellContext`checkboxMatrix$$]; 
                    If[$CellContext`ijRange$$ === {{0, 0}, {0, 
                    0}}, $CellContext`mergeError$$ = 
                    "Selection is not Rectangular", $CellContext`mergeError$$ = 
                    ""; With[{$CellContext`iMin$ = 
                    Part[$CellContext`ijRange$$, 1, 1], $CellContext`iMax$ = 
                    Part[$CellContext`ijRange$$, 1, 2], $CellContext`jMin$ = 
                    Part[$CellContext`ijRange$$, 2, 1], $CellContext`jMax$ = 
                    Part[$CellContext`ijRange$$, 2, 2]}, 
                    
                    With[{$CellContext`temp$ = 
                    Part[$CellContext`matrix$$, $CellContext`iMin$, \
$CellContext`jMin$]}, 
                    Do[Part[$CellContext`matrix$$, $CellContext`i, \
$CellContext`j] = Which[$CellContext`i == $CellContext`iMin$, 
                    "\[SpanFromLeft]", $CellContext`j == $CellContext`jMin$, 
                    "\[SpanFromAbove]", True, 
                    "\[SpanFromBoth]"], {$CellContext`i, $CellContext`iMin$, \
$CellContext`iMax$}, {$CellContext`j, $CellContext`jMin$, \
$CellContext`jMax$}]; 
                    Part[$CellContext`matrix$$, $CellContext`iMin$, \
$CellContext`jMin$] = $CellContext`temp$; 
                    NotebookDelete[$CellContext`selection$$]; NotebookWrite[
                    InputNotebook[], 
                    ReplaceAll[$CellContext`selection$$, GridBox[
                    Pattern[$CellContext`x$, 
                    Blank[]], 
                    Pattern[$CellContext`y$, 
                    BlankSequence[]]] :> 
                    GridBox[$CellContext`matrix$$, $CellContext`y$]]]]]], 
                    ImageSize -> 150/2, Appearance -> "Palette", Background -> 
                    RGBColor[0.7, 0.775, 0.85]], StandardForm]], 
                    DynamicBox[
                    ToBoxes[
                    Button[
                    (Style[#, 12]& )["Unmerge"], 
                    While[$CellContext`selection$$ = NotebookRead[
                    InputNotebook[]]; 
                    Head[$CellContext`selection$$] =!= GridBox, 
                    SelectionMove[
                    InputNotebook[], All, 
                    Expression]]; $CellContext`ijRange$$ = 
                    Function[$CellContext`M, 
                    With[{$CellContext`m = First[
                    Dimensions[$CellContext`M]], $CellContext`n = Last[
                    Dimensions[$CellContext`M]], $CellContext`row = 
                    Function[$CellContext`i, 
                    Part[$CellContext`M, $CellContext`i]], $CellContext`col = 
                    Function[$CellContext`j, 
                    Map[Part[#, $CellContext`j]& , $CellContext`M]]}, 
                    With[{$CellContext`ijRange = {
                    ({
                    Min[#], 
                    Max[#]}& )[
                    Flatten[
                    Table[
                    Position[
                    Table[
                    Apply[Or, 
                    $CellContext`row[$CellContext`i]], {$CellContext`i, 
                    1, $CellContext`m}], True], {$CellContext`j, 
                    1, $CellContext`n}]]], 
                    ({
                    Min[#], 
                    Max[#]}& )[
                    Flatten[
                    Table[
                    Position[
                    Table[
                    Apply[Or, 
                    $CellContext`col[$CellContext`j]], {$CellContext`j, 
                    1, $CellContext`n}], True], {$CellContext`i, 
                    1, $CellContext`n}]]]}}, 
                    If[
                    Apply[And, 
                    Flatten[
                    Part[$CellContext`M, 
                    Span[
                    Part[$CellContext`ijRange, 1, 1], 
                    Part[$CellContext`ijRange, 1, 2]], 
                    Span[
                    Part[$CellContext`ijRange, 2, 1], 
                    
                    Part[$CellContext`ijRange, 2, 
                    2]]]]], $CellContext`ijRange, {{0, 0}, {0, 
                    0}}]]]][$CellContext`checkboxMatrix$$]; 
                    If[$CellContext`ijRange$$ === {{0, 0}, {0, 
                    0}}, $CellContext`mergeError$$ = 
                    "Selection is not Rectangular", $CellContext`mergeError$$ = 
                    ""; With[{$CellContext`iMin$ = 
                    Part[$CellContext`ijRange$$, 1, 1], $CellContext`iMax$ = 
                    Part[$CellContext`ijRange$$, 1, 2], $CellContext`jMin$ = 
                    Part[$CellContext`ijRange$$, 2, 1], $CellContext`jMax$ = 
                    Part[$CellContext`ijRange$$, 2, 2]}, 
                    
                    With[{$CellContext`temp$ = 
                    Part[$CellContext`matrix$$, $CellContext`iMin$, \
$CellContext`jMin$]}, 
                    Do[Part[$CellContext`matrix$$, $CellContext`i, \
$CellContext`j] = "\[Placeholder]", {$CellContext`i, 
                    Part[$CellContext`ijRange$$, 1, 1], 
                    Part[$CellContext`ijRange$$, 1, 2]}, {$CellContext`j, 
                    Part[$CellContext`ijRange$$, 2, 1], 
                    Part[$CellContext`ijRange$$, 2, 2]}]; 
                    Part[$CellContext`matrix$$, $CellContext`iMin$, \
$CellContext`jMin$] = $CellContext`temp$; 
                    NotebookDelete[$CellContext`selection$$]; NotebookWrite[
                    InputNotebook[], 
                    ReplaceAll[$CellContext`selection$$, GridBox[
                    Pattern[$CellContext`x$, 
                    Blank[]], 
                    Pattern[$CellContext`y$, 
                    BlankSequence[]]] :> 
                    GridBox[$CellContext`matrix$$, $CellContext`y$]]]]]], 
                    ImageSize -> 150/2, Appearance -> "Palette", Background -> 
                    RGBColor[0.7, 0.775, 0.85]], StandardForm]]}, 
                    "RowDefault"], 
                    "\"To merge or unmerge cells, select a rectangular region \
in the Checkbox matrix to the right.\"", TooltipStyle -> "TextStyling"], 
                    Annotation[#, 
                    "To merge or unmerge cells, select a rectangular region \
in the Checkbox matrix to the right.", "Tooltip"]& ]}, {
                    TagBox[
                    TooltipBox[
                    DynamicBox[
                    ToBoxes[
                    Button[
                    (Style[#, 12]& )["Update Cells"], 
                    While[$CellContext`selection$$ = NotebookRead[
                    InputNotebook[]]; 
                    Head[$CellContext`selection$$] =!= GridBox, 
                    SelectionMove[
                    InputNotebook[], All, Expression]]; Do[
                    If[
                    
                    Part[$CellContext`checkboxMatrix$$, $CellContext`i, \
$CellContext`j], $CellContext`cell$$ = 
                    Part[$CellContext`matrix$$, $CellContext`i, \
$CellContext`j]; $CellContext`cell$$ = 
                    If[Head[$CellContext`cell$$] === ItemBox, 
                    Part[$CellContext`cell$$, 1], $CellContext`cell$$]; 
                    Part[$CellContext`matrix$$, $CellContext`i, \
$CellContext`j] = ItemBox[$CellContext`cell$$, 
                    Apply[Sequence, 
                    Dynamic[
                    Join[
                    If[$CellContext`cellFrameInheritedQ$$, {}, {Frame -> {{
                    MemberQ[$CellContext`cellFrame$$, "Left"], 
                    MemberQ[$CellContext`cellFrame$$, "Right"]}, {
                    MemberQ[$CellContext`cellFrame$$, "Below"], 
                    MemberQ[$CellContext`cellFrame$$, "Above"]}}}], 
                    
                    If[$CellContext`cellBackground$$ === "Inherited", {}, {
                    Background -> $CellContext`cellBackground$$}], 
                    
                    With[{$CellContext`AC = {$CellContext`horAlignCell$$, \
$CellContext`verAlignCell$$}}, 
                    
                    If[$CellContext`AC === {Automatic, Automatic}, {}, {
                    Alignment -> $CellContext`AC}]], 
                    
                    With[{$CellContext`IS = {$CellContext`xCellSize$$, \
$CellContext`yCellSize$$}}, 
                    
                    If[$CellContext`IS === {Automatic, Automatic}, {}, {
                    ItemSize -> $CellContext`IS}]]]]]]], {$CellContext`i, 1, 
                    Part[$CellContext`dims$$, 1]}, {$CellContext`j, 1, 
                    Part[$CellContext`dims$$, 2]}]; 
                    NotebookDelete[$CellContext`selection$$]; NotebookWrite[
                    InputNotebook[], 
                    ReplaceAll[$CellContext`selection$$, GridBox[
                    Pattern[$CellContext`x$, 
                    Blank[]], 
                    Pattern[$CellContext`y$, 
                    BlankSequence[]]] :> 
                    GridBox[$CellContext`matrix$$, $CellContext`y$]]], 
                    ImageSize -> 150, Appearance -> "Palette", Background -> 
                    RGBColor[0.7, 0.775, 0.85]], StandardForm]], 
                    "\"Select cells in the Checkbox matrix to the right and \
choose options below before clicking.\"", TooltipStyle -> "TextStyling"], 
                    Annotation[#, 
                    "Select cells in the Checkbox matrix to the right and \
choose options below before clicking.", "Tooltip"]& ]}}, 
                  GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                  DefaultBaseStyle -> "Column", 
                  GridBoxItemSize -> {
                   "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                  GridBoxSpacings -> {
                   "Columns" -> {{Automatic}}, "Rows" -> {{0}}}], "Column"], 
                DynamicBox[
                 ToBoxes[
                  Column[
                   Join[{
                    Row[{
                    If[$CellContext`dims$$ === {0, 0}, 
                    (Style[#, Bold, 
                    RGBColor[0.15, 0.15, 0.4]]& )["No table selected."], 
                    Grid[
                    Outer[Checkbox[
                    Dynamic[
                    Part[$CellContext`checkboxMatrix$$, #, #2]], {
                    False, True}]& , 
                    Range[
                    Part[$CellContext`dims$$, 1]], 
                    Range[
                    Part[$CellContext`dims$$, 2]]], Spacings -> {0, 0}]]}, 
                    Alignment -> Center, ImageSize -> 
                    If[Part[$CellContext`dims$$, 2] < 10, 320 - 150, 
                    Automatic]]}, 
                    
                    If[$CellContext`mergeError$$ === 
                    "", {}, {$CellContext`mergeError$$}]], Alignment -> 
                   Center], StandardForm]]},
               "RowDefault"]},
             {
              TemplateBox[{
                GraphicsBox[
                 InsetBox[
                  FormBox[
                   StyleBox["\"Frame:\"", Bold, 10, 
                    RGBColor[0.15, 0.15, 0.4], StripOnInput -> False], 
                   TraditionalForm], {-5, 0}, 
                  NCache[
                   ImageScaled[{1, 
                    Rational[1, 2]}], 
                   ImageScaled[{1, 0.5}]]], PlotRange -> {{-100, 0}, {-8, 8}},
                  ImageSize -> {80, Automatic}], "\"Inherit cell frame \"", 
                CheckboxBox[
                 Dynamic[$CellContext`cellFrameInheritedQ$$]], 
                TemplateBox[{10}, "Spacer1"], 
                DynamicBox[
                 ToBoxes[
                  If[$CellContext`cellFrameInheritedQ$$, "", 
                   TogglerBar[
                    Dynamic[$CellContext`cellFrame$$], {"Left" -> Graphics[{
                    AbsoluteThickness[0.75], 
                    Line[{{0, 0}, {0, 1}}]}, 
                    PlotRange -> {{-0.1, 1.1}, {-0.1, 1.1}}, ImageSize -> 15, 
                    Background -> GrayLevel[1]], "Right" -> Graphics[{
                    AbsoluteThickness[0.75], 
                    Line[{{1, 0}, {1, 1}}]}, 
                    PlotRange -> {{-0.1, 1.1}, {-0.1, 1.1}}, ImageSize -> 15, 
                    Background -> GrayLevel[1]], "Above" -> Graphics[{
                    AbsoluteThickness[0.75], 
                    Line[{{0, 1}, {1, 1}}]}, 
                    PlotRange -> {{-0.1, 1.1}, {-0.1, 1.1}}, ImageSize -> 15, 
                    Background -> GrayLevel[1]], "Below" -> Graphics[{
                    AbsoluteThickness[0.75], 
                    Line[{{0, 0}, {1, 0}}]}, 
                    PlotRange -> {{-0.1, 1.1}, {-0.1, 1.1}}, ImageSize -> 15, 
                    Background -> GrayLevel[1]]}, Appearance -> "Palette"]], 
                  StandardForm]]},
               "Row",
               DisplayFunction->(PaneBox[
                 RowBox[{
                   TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                 Left, ImageSize -> 320]& ),
               InterpretationFunction->(RowBox[{"Row", "[", 
                  RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Left"}], ",", 
                    RowBox[{"ImageSize", "\[Rule]", "320"}]}], "]"}]& )]},
             {
              DynamicBox[ToBoxes[
                Column[
                 Join[{
                   Row[{
                    (Graphics[
                    Text[
                    Style[#, Bold, 10, 
                    RGBColor[0.15, 0.15, 0.4]], {-5, 0}, {1, 0}], 
                    PlotRange -> {{-100, 0}, 8 {-1, 1}}, 
                    ImageSize -> {80, Automatic}]& )["Background:"], 
                    SetterBar[
                    Dynamic[$CellContext`cellBackgroundSelection$$], {
                    "Inherited", None, White -> "White", 
                    RGBColor[0.8, 0.8, 0.9] -> "Light Blue", "Other"}, 
                    Appearance -> "Palette"]}, Alignment -> Left, ImageSize -> 
                    320]}, 
                  
                  If[$CellContext`cellBackgroundSelection$$ =!= 
                   "Other", $CellContext`cellBackground$$ = \
$CellContext`cellBackgroundSelection$$; {}, {$CellContext`cellBackground$$ = 
                    RGBColor[$CellContext`rCell$$/255, $CellContext`gCell$$/
                    255, $CellContext`bCell$$/255]; Row[{
                    Spacer[2], 
                    Graphics[{
                    Dynamic[
                    
                    RGBColor[$CellContext`rCell$$/255, $CellContext`gCell$$/
                    255, $CellContext`bCell$$/255]], 
                    EdgeForm[{Black, 
                    AbsoluteThickness[1]}], 
                    Rectangle[{0, 0}, {1, 1}]}, ImageSize -> 60], 
                    Spacer[2], 
                    Column[{
                    Row[{
                    Slider[
                    Dynamic[$CellContext`rCell$$], {0, 255, 1}], 
                    Spacer[2], 
                    Dynamic[$CellContext`rCell$$], 
                    Spacer[2], "Red"}], 
                    Row[{
                    Slider[
                    Dynamic[$CellContext`gCell$$], {0, 255, 1}], 
                    Spacer[2], 
                    Dynamic[$CellContext`gCell$$], 
                    Spacer[2], "Green"}], 
                    Row[{
                    Slider[
                    Dynamic[$CellContext`bCell$$], {0, 255, 1}], 
                    Spacer[2], 
                    Dynamic[$CellContext`bCell$$], 
                    Spacer[2], "Blue"}]}]}]}]]], StandardForm],
               ImageSizeCache->{400., {10., 18.}}]},
             {
              TemplateBox[{
                GraphicsBox[
                 InsetBox[
                  FormBox[
                   StyleBox["\"Size:\"", Bold, 10, 
                    RGBColor[0.15, 0.15, 0.4], StripOnInput -> False], 
                   TraditionalForm], {-5, 0}, 
                  NCache[
                   ImageScaled[{1, 
                    Rational[1, 2]}], 
                   ImageScaled[{1, 0.5}]]], PlotRange -> {{-100, 0}, {-8, 8}},
                  ImageSize -> {80, Automatic}], 
                TemplateBox[{
                  StyleBox["\"{\"", 16, StripOnInput -> False], 
                  PopupMenuBox[
                   Dynamic[$CellContext`xCellSize$$], {
                   Automatic -> "Automatic", 1 -> "1", 2 -> "2", 3 -> "3", 4 -> 
                    "4", 5 -> "5", 6 -> "6", 7 -> "7", 8 -> "8", 9 -> "9", 10 -> 
                    "10", 11 -> "11", 12 -> "12", 13 -> "13", 14 -> "14", 15 -> 
                    "15", 16 -> "16", 17 -> "17", 18 -> "18", 19 -> "19", 20 -> 
                    "20", 21 -> "21", 22 -> "22", 23 -> "23", 24 -> "24", 25 -> 
                    "25", 26 -> "26", 27 -> "27", 28 -> "28", 29 -> "29", 30 -> 
                    "30", 31 -> "31", 32 -> "32", 33 -> "33", 34 -> "34", 35 -> 
                    "35", 36 -> "36", 37 -> "37", 38 -> "38", 39 -> "39", 40 -> 
                    "40", 41 -> "41", 42 -> "42", 43 -> "43", 44 -> "44", 45 -> 
                    "45", 46 -> "46", 47 -> "47", 48 -> "48", 49 -> "49", 50 -> 
                    "50"}, MenuStyle -> 11], 
                  StyleBox["\",\"", 16, StripOnInput -> False], 
                  PopupMenuBox[
                   Dynamic[$CellContext`yCellSize$$], {
                   Automatic -> "Automatic", 1 -> "1", 2 -> "2", 3 -> "3", 4 -> 
                    "4", 5 -> "5", 6 -> "6", 7 -> "7", 8 -> "8", 9 -> "9", 10 -> 
                    "10", 11 -> "11", 12 -> "12", 13 -> "13", 14 -> "14", 15 -> 
                    "15", 16 -> "16", 17 -> "17", 18 -> "18", 19 -> "19", 20 -> 
                    "20", 21 -> "21", 22 -> "22", 23 -> "23", 24 -> "24", 25 -> 
                    "25", 26 -> "26", 27 -> "27", 28 -> "28", 29 -> "29", 30 -> 
                    "30", 31 -> "31", 32 -> "32", 33 -> "33", 34 -> "34", 35 -> 
                    "35", 36 -> "36", 37 -> "37", 38 -> "38", 39 -> "39", 40 -> 
                    "40", 41 -> "41", 42 -> "42", 43 -> "43", 44 -> "44", 45 -> 
                    "45", 46 -> "46", 47 -> "47", 48 -> "48", 49 -> "49", 50 -> 
                    "50"}, MenuStyle -> 11], 
                  StyleBox["\"}\"", 16, StripOnInput -> False]}, 
                 "RowDefault"]},
               "Row",
               DisplayFunction->(PaneBox[
                 RowBox[{
                   TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
                 Left, ImageSize -> 320]& ),
               InterpretationFunction->(RowBox[{"Row", "[", 
                  RowBox[{
                    RowBox[{"{", 
                    TemplateSlotSequence[1, ","], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Left"}], ",", 
                    RowBox[{"ImageSize", "\[Rule]", "320"}]}], "]"}]& )]}
            },
            DefaultBaseStyle->"Column",
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
           "Column"]},
         {
          TemplateBox[{
            TagBox[
             GridBox[{{
                GraphicsBox[
                 InsetBox[
                  FormBox[
                   StyleBox["\"Horizontal Alignment\"", Bold, 10, 
                    RGBColor[0.15, 0.15, 0.4], StripOnInput -> False], 
                   TraditionalForm], {0, 0}], 
                 PlotRange -> {{-75, 75}, {-8, 8}}, 
                 ImageSize -> {150, Automatic}]}, {
                InterpretationBox[
                 StyleBox[
                  GridBox[{{
                    SetterBox[
                    Dynamic[$CellContext`horAlignCell$$], {Automatic}, 
                    "\"None\"", Appearance -> "Palette"], 
                    SetterBox[
                    Dynamic[$CellContext`horAlignCell$$], {Left}, "Left", 
                    Appearance -> "Palette"], 
                    SetterBox[
                    Dynamic[$CellContext`horAlignCell$$], {Center}, "Center", 
                    Appearance -> "Palette"], 
                    SetterBox[
                    Dynamic[$CellContext`horAlignCell$$], {Right}, "Right", 
                    Appearance -> "Palette"]}}, ColumnSpacings -> 0, 
                   BaselinePosition -> {1, 1}], Deployed -> True], 
                 SetterBar[
                  Dynamic[$CellContext`horAlignCell$$], {
                  Automatic -> "None", Left, Center, Right}, Appearance -> 
                  "Palette"]]}}, 
              GridBoxAlignment -> {"Columns" -> {{Center}}}, DefaultBaseStyle -> 
              "Column", 
              GridBoxItemSize -> {
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
             "Column"], 
            TemplateBox[{5}, "Spacer1"], 
            TagBox[
             GridBox[{{
                GraphicsBox[
                 InsetBox[
                  FormBox[
                   StyleBox["\"Vertical Alignment\"", Bold, 10, 
                    RGBColor[0.15, 0.15, 0.4], StripOnInput -> False], 
                   TraditionalForm], {0, 0}], 
                 PlotRange -> {{-75, 75}, {-8, 8}}, 
                 ImageSize -> {150, Automatic}]}, {
                InterpretationBox[
                 StyleBox[
                  GridBox[{{
                    SetterBox[
                    Dynamic[$CellContext`verAlignCell$$], {Automatic}, 
                    "\"None\"", Appearance -> "Palette"], 
                    SetterBox[
                    Dynamic[$CellContext`verAlignCell$$], {Bottom}, "Bottom", 
                    Appearance -> "Palette"], 
                    SetterBox[
                    Dynamic[$CellContext`verAlignCell$$], {Center}, "Center", 
                    Appearance -> "Palette"], 
                    SetterBox[
                    Dynamic[$CellContext`verAlignCell$$], {Top}, "Top", 
                    Appearance -> "Palette"]}}, ColumnSpacings -> 0, 
                   BaselinePosition -> {1, 1}], Deployed -> True], 
                 SetterBar[
                  Dynamic[$CellContext`verAlignCell$$], {
                  Automatic -> "None", Bottom, Center, Top}, Appearance -> 
                  "Palette"]]}}, 
              GridBoxAlignment -> {"Columns" -> {{Center}}}, DefaultBaseStyle -> 
              "Column", 
              GridBoxItemSize -> {
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
             "Column"]},
           "Row",
           DisplayFunction->(PaneBox[
             RowBox[{
               TemplateSlotSequence[1, "\[InvisibleSpace]"]}], Alignment -> 
             Center]& ),
           InterpretationFunction->(RowBox[{"Row", "[", 
              RowBox[{
                RowBox[{"{", 
                  TemplateSlotSequence[1, ","], "}"}], ",", 
                RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}]& )]}
        },
        DefaultBaseStyle->"Column",
        FrameStyle->{
          AbsoluteThickness[0.5], 
          GrayLevel[0.75]},
        GridBoxAlignment->{"Columns" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {False, {True}, False}, 
          "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Column"]}
    },
    DefaultBaseStyle->"Column",
    FrameStyle->{
      AbsoluteThickness[1.25], 
      RGBColor[0.15, 0.15, 0.4]},
    GridBoxAlignment->{"Columns" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {False, {True}, False}, "Rows" -> {False, {True}, False}},
    GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
    GridBoxSpacings->{"Columns" -> {{Automatic}}, "Rows" -> {{0}}}],
   "Column"],
  DynamicModuleValues:>{}]],
 CellMargins->{{0, 0}, {0, 0}},
 CellBracketOptions->{"Color"->RGBColor[0.269993, 0.308507, 0.6]},
 CellHorizontalScrolling->True,
 PageBreakAbove->True,
 PageBreakWithin->False,
 ShowAutoStyles->True,
 LineSpacing->{1.25, 0},
 AutoItalicWords->{},
 ScriptMinSize->9,
 ShowStringCharacters->False,
 FontFamily:>CurrentValue["PanelFontFamily"],
 FontSize:>CurrentValue[
  "PanelFontSize"],ExpressionUUID->"469b8c05-cd5e-4d03-8411-b74b678f99f5"]
},
Saveable->False,
WindowSize->All,
WindowMargins->{{Automatic, 0}, {Automatic, 0}},
WindowElements->{},
WindowTitle->"Table Utility",
CellMargins->{{0, 0}, {0, 0}},
FrontEndVersion->"13.2 for Mac OS X x86 (64-bit) (November 18, 2022)",
StyleDefinitions->"Palette.nb",
ExpressionUUID->"7249b885-9a23-4e1b-bfa3-a0e83db69c4d"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[586, 21, 62292, 1357, 448, InheritFromParent,ExpressionUUID->"469b8c05-cd5e-4d03-8411-b74b678f99f5",
 PageBreakAbove->True,
 PageBreakWithin->False]
}
]
*)

(* End of internal cache information *)

